WindowsMalwareInformation の更新

名前空間: microsoft.graph

大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

windowsMalwareInformation オブジェクトのプロパティを更新します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All

HTTP 要求

PATCH /deviceManagement/windowsMalwareInformation/{windowsMalwareInformationId}

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で 、windowsMalwareInformation オブジェクトの JSON 表記を指定します。

次の表に 、windowsMalwareInformation を作成するときに必要なプロパティを示します

プロパティ 種類 説明
id String 一意の識別子。 これはマルウェア ID です。
displayName String マルウェア名
additionalInformationUrl String マルウェアの詳細を確認する情報 URL
severity windowsMalwareSeverity マルウェアの重大度。 可能な値は、unknownlowmoderatehighsevere です。
category windowsMalwareCategory マルウェアのカテゴリ。 可能な値は invalid adware 、、 です spyware passwordStealer trojanDownloader worm backdoor remoteAccessTrojan trojan emailFlooder keylogger dialer monitoringSoftware browserModifier cookie browserPlugin aolExploit nuker securityDisabler jokeProgram hostileActiveXControl softwareBundler stealthNotifier settingsModifier toolBar remoteControlSoftware trojanFtp potentialUnwantedSoftware icqExploit trojanTelnet exploit filesharingProgram malwareCreationTool remote_Control_Software tool trojanDenialOfService trojanDropper trojanMassMailer trojanMonitoringSoftware trojanProxyServer virus known unknown spp behavior vulnerability policy enterpriseUnwantedSoftware ransom hipsRule
lastDetectionDateTime DateTimeOffset マルウェアが最後に検出された時刻

応答

成功した場合、このメソッドは応答コードと、応答本文で 200 OK 更新された windowsMalwareInformation オブジェクトを返します。

要求

以下は、要求の例です。

PATCH https://graph.microsoft.com/beta/deviceManagement/windowsMalwareInformation/{windowsMalwareInformationId}
Content-type: application/json
Content-length: 299

{
  "@odata.type": "#microsoft.graph.windowsMalwareInformation",
  "displayName": "Display Name value",
  "additionalInformationUrl": "https://example.com/additionalInformationUrl/",
  "severity": "low",
  "category": "adware",
  "lastDetectionDateTime": "2016-12-31T23:59:27.3805104-08:00"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 348

{
  "@odata.type": "#microsoft.graph.windowsMalwareInformation",
  "id": "8ebd2b9b-2b9b-8ebd-9b2b-bd8e9b2bbd8e",
  "displayName": "Display Name value",
  "additionalInformationUrl": "https://example.com/additionalInformationUrl/",
  "severity": "low",
  "category": "adware",
  "lastDetectionDateTime": "2016-12-31T23:59:27.3805104-08:00"
}